=== debian/control ===
Source: ros-noetic-thunder-line-follower-pmr3100
Section: misc
Priority: optional
Maintainer: ThundeRatz <comp@thunderatz.org>
Build-Depends: debhelper (>= 9.0.0), gazebo11, ros-noetic-catkin, ros-noetic-gazebo-plugins, ros-noetic-gazebo-ros, ros-noetic-geometry-msgs, ros-noetic-joint-state-publisher, ros-noetic-robot-state-publisher, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-rospy, ros-noetic-velocity-controllers
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-thunder-line-follower-pmr3100
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo11, python-pygame, ros-noetic-controller-manager, ros-noetic-gazebo-plugins, ros-noetic-gazebo-ros, ros-noetic-geometry-msgs, ros-noetic-joint-state-publisher, ros-noetic-robot-state-publisher, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-rospy, ros-noetic-velocity-controllers, ros-noetic-xacro
Description: Simulation environment for a line follower development Created for the discipline PMR3100 - Intro to Mechatronics from Poli-USP
